
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#设计模式之Template Method设计模式(模版方法模式) / iVAN</title>

    <meta name="description" content="C#设计模式之Template Method设计模式(模版方法模式) 一.模板方法(Template Method)模式 准备一个抽象类,将部分逻辑以具体方法以及具体构造子的形式实现,然后声明一些抽象方法来迫使子类实现剩余的逻辑.不同的子类可以以不同的方式实现这些抽象方法,从而对剩余的逻辑有不同的实现.这就是模版方法模式的用意. 很多人可能没有想到,模版方法模式实际上是所有模式中最为常见的几个模式之一,而且很多人可能使用过模版方法模式而没有意识到自己已经使用了这个模式.模版方法模式是基于继承的代码复用的基本技术,模版方法模式的结构和用法也是面向对象设计的核心. 模">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C#设计模式之Template Method设计模式(模版方法模式)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、模板方法（Template Method）模式</p>
<p>准备一个抽象类，将部分逻辑以具体方法以及具体构造子的形式实现，然后声明一些抽象方法来迫使子类实现剩余的逻辑。不同的子类可以以不同的方式实现这些抽象方法，从而对剩余的逻辑有不同的实现。这就是模版方法模式的用意。</p>
<p>很多人可能没有想到，模版方法模式实际上是所有模式中最为常见的几个模式之一，而且很多人可能使用过模版方法模式而没有意识到自己已经使用了这个模式。模版方法模式是基于继承的代码复用的基本技术，模版方法模式的结构和用法也是面向对象设计的核心。</p>
<p>模版方法模式需要开发抽象类和具体子类的设计师之间的协作。一个设计师负责给出一个算法的轮廓和骨架，另一些设计师则负责给出这个算法的各个逻辑步骤。代表这些具体逻辑步骤的方法称做基本方法（primitive method）；而将这些基本法方法总汇起来的方法叫做模版方法（template method），这个设计模式的名字就是从此而来。</p>
<p>二、模版方法模式的结构</p>
<p>模版方法模式的静态结构如下图所示。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTMzMjQwNjAzMS0wLmdpZg==.jpg"></p>
<p>这里涉及到两个角色：</p>
<p>抽象模版（AbstractClass）角色有如下的责任：</p>
<p>定义了一个或多个抽象操作，以便让子类实现。这些抽象操作叫做基本操作，它们是一个顶级逻辑的组成步骤。</p>
<p>定义并实现了一个模版方法。这个模版方法一般是一个具体方法，它给出了一个顶级逻辑的骨架，而逻辑的组成步骤在相应的抽象操作中，推迟到子类实现。顶级逻辑也有可能调用一些具体方法。</p>
<p>具体模版（ConcreteClass）角色有如下的责任：</p>
<p>实现父类所定义的一个或多个抽象方法，它们是一个顶级逻辑的组成步骤。</p>
<p>每一个抽象模版角色都可以有任意多个具体模版角色与之对应，而每一个具体模版角色都可以给出这些抽象方法（也就是顶级逻辑的组成步骤）的不同实现，从而使得顶级逻辑的实现各不相同。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 17:18:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%bc%8f/" title="模式">模式</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e7%89%88/" title="模版">模版</a>, <a href="https://www.iamivan.net/tag/%e6%8a%bd%e8%b1%a1/" title="抽象">抽象</a>, <a href="https://www.iamivan.net/tag/%e9%80%bb%e8%be%91/" title="逻辑">逻辑</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e7%89%88%e6%96%b9%e6%b3%95/" title="模版方法">模版方法</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e7%89%88%e6%93%8d%e4%bd%9c%e7%b1%bb/" title="模版操作类">模版操作类</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C#设计模式之Template Method设计模式(模版方法模式)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RZmAz.html" rel="bookmark">第13章 模版方法模式（Template Method）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文  第13章 模版方法模式(Template Method) 模板模式     模板模式 举例:模拟下数据库的update方法,先删除在插入.   1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47     abstract class SqlManage     {        			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bB2wOb.html" rel="bookmark">&lbrack;Head First设计模式&rsqb;云南米线馆中的设计模式&mdash;&mdash;模版方法模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系列文章 [Head First设计模式]山西面馆中的设计模式--装饰者模式 [Head First设计模式]山西面馆中的设计模式--观察者模式 [Head First设计模式]山西面馆中的设计模式--建造者模式 [Head First设计模式]饺子馆(冬至)中的设计模式--工厂模式 [Head First设计模式]一个人的平安夜--单例模式 [Head First设计模式]抢票中的设计模式--代理模式 [Head First设计模式]面向对象的3特征5原则 [Head First设计模式]鸭子			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvWP6Vp.html" rel="bookmark">设计模式之九&lpar;模版方法模式&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:设计模式之九(模版方法模式) 前言 模版方法模式:定义一个操作中的算法的骨架,而将一些步骤延迟到子类中.模版方法使得子类可以不改变一个算法的结构即可重定义该算法的某些特定步骤. 结构图 代码实现  AbstractClass是抽象类,其实也就是一抽象类,定义并实现了一个模版方法,这个模版方法一般是一个具体方法,它给出了一个顶级逻辑的骨架,而逻辑的组成步骤在相应的抽象操作中,推迟到子类实现.顶级逻辑也有可能调用一些具体方法. public abstract class AbstractCla			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwqOGEM.html" rel="bookmark">Java设计模式之模版方法模式简介&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java设计模式的模板方法模式定义一个操作中算法的框架,而将一些步骤延迟到子类中,使得子类可以不改变算法的结构即可重定义该算法中的某些特定步骤.属于行为类模式 如下图所示: 事实上,模版方法是编程中一个经常用到的模式.先来看一个例子,某日,程序员A拿到一个任务:给定一个整数数组,把数组中的数由小到大排序,然后把排序之后的结果打印出来.经过分析之后,这个任务大体上可分为两部分,排序和打印,打印功能好实现,排序就有点麻烦了.但是A有办法,先把打印功能完成,排序功能另找人做. abstract cla			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPN4YAb.html" rel="bookmark">&period;NET设计模式（16）：模版方法（Template Method）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主要内容 1．概述 2．Template Method解说 3．.NET中的Template Method模式 4．适用性及实现要点 意图 定义一个操作中的算法的骨架,而将一些步骤延迟到子类中.Template Method使得子类可以不改变一个算法的结构即可重定义该算法的某些特定步骤.[-GOF&lt;设计模式&gt;] 结构图 图1 Template Method 模式结构图 生活中的例子 模板方法定义了一个操作中算法的骨架,而将一些步骤延迟到子类中.房屋建筑师在开发新项目时会使用模板方法.一个典型的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPgQ1p.html" rel="bookmark">设计模式&lbrack;9&rsqb;-Template Method</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Type: Behavioral Template Method: 在一个操作中定义一个算法的骨架,将一些步骤推迟到子类中.让子类在不修改算法结构的基础上重新定义其中步骤. #include &lt;iostream&gt; using namespace std; class AbstractClass { public: void templateMethod() { cout&lt;&lt;&quot;AbstractClass: Call subMethod&quot;&lt;&lt;endl;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZO77ob.html" rel="bookmark">设计模式的C&plus;&plus;实现之工厂方法模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工厂方法模式不同于简单工厂模式的地方在于工厂方法模式把对象的创建过程放到里子类里.这样工厂父对象和产品父 对象一样,可以是抽象类或者接口,只定义相应的规范或操作,不涉及具体的创建或实现细节. 其类图如下: 实例代码为: #pragma once class IProduct { public: IProduct(void); virtual ~IProduct(void); }; #pragma once #include &quot;iproduct.h&quot; class IPad : publi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9YlK4M.html" rel="bookmark">设计模式系列之二：工厂方法模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 前一篇博文中介绍了简单工厂模式,这里再介绍一下工厂方法模式.与简单工厂很像,那么两者的区别是什么呢?在这篇博文中,首先会简单介绍一下工厂方法的使用方法,并对工厂方法模式进行简单的小结.最后,将结合具体的例子对比简单工厂模式与工厂方法模式,并对两者的使用场景做一个小小的归纳. 问题背景 背景: 某公司开发了一个A软件,数据库使用的是SQLServer.后由于客户要求需要使用Oracle数据库,原来的数据要迁移到Oracle中,在迁移的过程中遇到很多问题,比如语法错误,关键字滥用,函数不支持等			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQLPXoz.html" rel="bookmark">Template Method（模板方法）模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.概述   在面向对象开发过程中,通常我们会遇到这样的一个问题:我们知道一个算法所需的关键步骤,并确定了这些步骤的执行顺序.但是某些步骤的具体实现是未知的,或者说某些步骤的实现与具体的环境相关.例子1:银行业务办理流程在银行办理业务时,一般都包含几个基本固定步骤:取号排队-&gt;办理具体业务-&gt;对银行工作人员进行评分.取号取号排队和对银行工作人员进行评分业务逻辑是一样的.但是办理具体业务是个不相同的,具体业务可能取款.存款或者转账.   2.问题   如何保证架构逻辑的正常执行,而不被子类破坏 			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0WjJb.html" rel="bookmark" class="title">Win8系统电话激活方法和联网激活方法</a>
					<div>
						Windows的用户恐怕都绕不开一个问题,那就是激活.最近,尝鲜Win8的用户越来越多,但漂在屏幕上的激活提醒实在让人看了很不爽,因此关于Win8激活的问题又开始成为了网上热门的话题. 今天笔者就将详 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrWEvp.html" rel="bookmark" class="title">c&plus;&plus;问题-在acm上刷题老是通不过，求大神指点一二，到底问题出在哪里。不胜感激！！！</a>
					<div>
						问题描述 在acm上刷题老是通不过,求大神指点一二,到底问题出在哪里.不胜感激!!! #include #include using namespace std; int main() { int T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMydB5b.html" rel="bookmark" class="title">c&plus;&plus;关于字符串传递的问题</a>
					<div>
						问题描述 c++关于字符串传递的问题 编译通过但是运行以后输入第二个字符串时候出错,也就是第一次调用函数的时候 解决方案 #include #include using namespace std;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8Y34z.html" rel="bookmark" class="title">photoshop设计三维彩虹壁纸教程</a>
					<div>
						在这个Photoshop教程中,我们将设计一个三维彩虹效果的彩色壁纸.非常漂亮. 在这个Photoshop教程中,我们将设计一个三维彩虹效果的彩色壁纸.非常漂亮. 首先在Photoshop中创建一个新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKOXnb.html" rel="bookmark" class="title">如何缩小MS SQL Server日志文件</a>
					<div>
						server 方法一:  将数据库日志文件改成简单日志模式 方法二: DUMP TRANSACTION 你的数据库名 WITH NO_LOGBACKUP LOG 你的数据库名 WITH NO_LOGD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rkw5p.html" rel="bookmark" class="title">MySQL中对服务器端光标的限制</a>
					<div>
						从MySQL 5.0.2开始,通过mysql_stmt_attr_set() C API函数实现了服务器端光标.服务器端光标允许在服务器端生成结果集,但不会将其传输到客户端,除非客户端请求这些行.例如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO0ekM.html" rel="bookmark" class="title">算法整合后的图形绘制</a>
					<div>
						某天下班回来后,习惯性的打开博客园,看看首页有没有感兴趣的文章.在 不重复随机数列生成算法 这 篇博文中,发现作者的思路不错.莫名其妙的突然想到如何获取随机颜色的算法以及以图形的方式显示出来, 那时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLo0ab.html" rel="bookmark" class="title">Qt学习之路&lpar;7&rpar;&colon;创建一个对话框&lpar;上&rpar;</a>
					<div>
						首先说明一点,在C++ GUI Programming with Qt4, 2nd中,这一章连同以后的若干章一起,完成了一个比较完整的程序--一个模仿Excel的电子表格.不过这个程序挺大的,而且书中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Agy7p.html" rel="bookmark" class="title">将Struts应用迁移到Struts 2&lpar;二&rpar;</a>
					<div>
						在上篇文章中,我们已经从较高层解释了整个框架的结构,请 求流程的基础,配置方式和Struts2和Struts1的不同之处.了解这 些后从Struts 应用 迁移到 Struts 2 不再是难事. 在这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7262M.html" rel="bookmark" class="title">Fireworks打造超酷质感按钮</a>
					<div>
						  效果图: 1.建立一个483*450的画布; 2.用矩形工具画一个矩形设置如下:   图1 3.用矩形工具画一个336*78的矩形设置如下: 图2 4.用矩形工具画一个322*65的矩形设置如下: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKXWAM.html" rel="bookmark" class="title">使用高级条件筛选Excel表中的数据</a>
					<div>
						若要通过复杂的条件 (条件:为限制查询结果集中包含的记录而指定的条件.例如,以下条件用于选择 Order Amount 字段的值大于 30,000 的记录:Order Amount &gt; 3000 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8YrDp.html" rel="bookmark" class="title">Win7系统宽带连接报错711怎么办？</a>
					<div>
						  第一步:打开&quot;计算机&quot;,找到&quot;C:WindowsSystem32LogFiles&quot;文件夹,单击右键选择&quot;属性&quot;; 第二步:点击&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm755z.html" rel="bookmark" class="title">jQuery实现购物车计算价格功能的方法</a>
					<div>
						 这篇文章主要介绍了jQuery实现购物车计算价格功能的方法,实例分析了jQuery针对html元素的操作技巧,非常具有实用价值,需要的朋友可以参考下     本文实例讲述了jQuery实现购物车计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKg2aM.html" rel="bookmark" class="title">在Word2003中插入文字水印</a>
					<div>
						  ①启动Word2003,单击菜单栏--格式--背景--水印,这与图片水印添加方法一致. ②在弹出的水印界面勾选文字水印. ③进行文字.字体.尺寸.颜色和版式的设置. ④设置好了,效果可以看下图,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7ePBb.html" rel="bookmark" class="title">习信如何找回账号？</a>
					<div>
						  1.忘记密码如何找回? (1)自助通道:在习信登录窗口,点击[找回密码],可使用手机.邮箱.密保问题三种方式找回; (2)客服通道:登录www.ciwong.com,点击[在线咨询]或者客服电话, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6vOAb.html" rel="bookmark" class="title">Web Services   &period;net 中  都是微软</a>
					<div>
						问题描述 WebServices在.net下怎么写自义数据格式的..或者不用微软WebServices框架的怎么写?????????谁有这方面的资料.....帮忙介绍一下...只要求入门 解决方案 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE9ldz.html" rel="bookmark" class="title">awt-怎么固定Jframe的位置和大小？</a>
					<div>
						问题描述 怎么固定Jframe的位置和大小? JFrame j=new JFrame(); j.setBounds(........); 设置好位置和大小后,我想让J不能移动和改变大小.我能怎么实现设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NX8YM.html" rel="bookmark" class="title">hibernate主键问题</a>
					<div>
						问题描述 现在需求是主键从10开始自增,hibernate怎样实现这个呢,数据库是sql2005有知道的解答下,本人菜鸟...谢谢! 解决方案 解决方案二:你在数据库中建立一条不用的记录..主键值9就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKOyYb.html" rel="bookmark" class="title">Android系统移植与调试之-------&amp;amp&semi;gt&semi;Android Make分析</a>
					<div>
						随着移动互联网的发展,移动开发也越来越吃香了,目前最火的莫过于android,android是什么就不用说了,android自从开源以来,就受到很多人的追捧.当然,一部人追捧它是因为它是Google开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBLeQM.html" rel="bookmark" class="title">webapi IHttpActionResult 返回list的问题</a>
					<div>
						问题描述 returnOk(list);这个list是一个list的集合发布到iis通过接口访问发现数据格式有问题本应该有两条记录,但是返回的结果好像把两条记录合并了,[{&quot;Carcode& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd0k8b.html" rel="bookmark" class="title">android &plus;ssh做个即时通信的聊天软件，一定要第三方包么</a>
					<div>
						问题描述 android +ssh做个即时通信的聊天软件,一定要第三方包么 最近想用android为客户端,ssh做服务端,的聊天软件,一定要第三方包么,商业项目中也是用第三方包实现的么 解决方案 第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmVZ8M.html" rel="bookmark" class="title">归并排序MergeSort</a>
					<div>
						   归并排序是建立在归并操作上的一种有效的排序算法.该算法是采用分治法(Divide and Conquer)的一个非常典型的应用.值得注意的是归并排序是一种稳定的排序方法.速度仅次于快速排序,为稳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmQdxM.html" rel="bookmark" class="title">SQLServer2005与SQLServer2008数据库同步图文教程&lowbar;mssql2005</a>
					<div>
						1,复制简介 简单的说,复制是获取一个或多个数据库的过程,它系统的针对出入不同数据库的数据,提供基于规则的拷贝机制. 复制分为三种角色, 1,发布服务器 发布服务器可以被看成是源数据库. 2 ,分发服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRkEap.html" rel="bookmark" class="title">PHP防止图片盗用&lpar;盗链&rpar;的方法小结&lowbar;php技巧</a>
					<div>
						本文实例总结了PHP防止图片盗用(盗链)的方法.分享给大家供大家参考,具体如下: 图片防盗链有什么用? 防止其它网站盗用你的图片,浪费你宝贵的流量.本文章向大家介绍php防止图片盗用/盗链的两种方法  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4X0Lz.html" rel="bookmark" class="title">在java中New 类名&lpar;&rpar;  类里面的数据会被重新赋值吗？</a>
					<div>
						问题描述 在java中New 类名() 类里面的数据会被重新赋值吗? 在java中New 类名() 类里面的数据会被重新赋值吗? 解决方案 java中new 类名()是用来调用类的无参构造器开辟内存空 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAm67b.html" rel="bookmark" class="title">中金与上海国际集团进行多层次战略合作</a>
					<div>
						18日消息,中国国际金融有限公司(以下简称中金公司)与上海国际集团公司在上海兴国宾馆8号楼会议中心签订&lt;战略合作备忘录&gt;.根据备忘录,未来上海国际集团将在财务顾问.证券承销.研究培训等方面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBjOaz.html" rel="bookmark" class="title">2000条你应知的WPF小姿势 基础篇&amp;lt&semi;15-21&amp;gt&semi;</a>
					<div>
						原文:2000条你应知的WPF小姿势 基础篇&lt;15-21&gt; 在正文开始之前需要介绍一个人:Sean Sexton. 来自明尼苏达双城的软件工程师,对C#和WPF有着极深的热情.最为出色的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjmAZM.html" rel="bookmark" class="title">关于任正非和华为，这10条必看！</a>
					<div>
						关于任正非和华为,你不得不看.不得不知的 10 条. 1.任正非拒绝了一个3万亿美元的团队后说:他又不是客户,我为什幺见他? 摩根士丹利首席经济学家斯蒂芬 罗奇曾率领机构投资团队访问华为总部,任正非并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjJ4ZM.html" rel="bookmark" class="title">惠普软件解决方案为创建企业云端应用提供了便利</a>
					<div>
						云计算正在从原先的日益复杂的业务流程改变组织运营和交付应用的方式. 曾经自成一体的应用现在开始基于联网服务进行设计,并且在很短的周期内开发完成.这些都得力于惠普近日宣布推出的全新软件解决方案,该方案致 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8AEOb.html" rel="bookmark" class="title">苹果拿下全球触屏产能六成</a>
					<div>
						据Digitimes报道,苹果已获取全球60%的触摸面板产能,从而导致行业其他参与者面临触屏短缺.苹果对屏幕的大规模投资源自苹果设定的2011 年出货4000万iPad的目标.同时,苹果正研发的下ht ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
